Subject: Re: bug#69631: 30.0.50; native compilation errors

From: Vincenzo Pupillo <[email-masked]>
Date: Fri, 08 Mar 2024 11:43:09 +0100

Hi, 
I have the same problem, but I rebuild emacs (from master, commit: bd017175d4571e24ef1fdf84676136af1d36002d) using "make boostrap". 
Last night, at home, I had no problem, but this morning:

Error: error ("../lisp/button.el" "Type or missing from typeof-types!")
  ELC+ELN  ../lisp/dos-fns.elc
  signal(error ("../lisp/button.el" "Type or missing from typeof-types!"))
  comp--native-compile("../lisp/button.el")
  batch-native-compile()
  batch-byte+native-compile()
  funcall(batch-byte+native-compile)

Thanks
Vincenzo

In data venerdì 8 marzo 2024 11:30:25 CET, [email-masked] ha scritto:
> 
> On 08.03.2024 10:48, Andrea Corallo wrote:
> 
> > Hi Gerard,
> > 
> > had no time yet to try master today, but I'd guess this comes from
> > yesterday's Stefan changes.
> 
> I think I have seen this issue for about a week, but I thought it was
> a bit premature to file a bug report before the type hierarchy feature
> stabilized.
> 
> > 
> > I'll try a whole AOT build to see if other files are impacted.
> > 
> > Thanks
> > 
> >   Andrea
> 
> 
> 
>